import { Express } from 'express'
import { StudentsController } from '../endpoints/_index'

export function routes(app: Express) {
    app.get('/api/getStudents', StudentsController.StudentsGet.getAllUsers)
    app.get('/api/getStudents?page&pagesize', StudentsController.StudentsGet.getUserBasePagination)
    app.post('/api/addStudent', StudentsController.StudentsPost.Add)
    app.delete('/api/deleteStudent/:code', StudentsController.StudentsDelete.deleteUser)
    app.put('/api/updateStudent/:code',StudentsController.StudentsPut.updateUser)
    
}